name: Setup OpenTofu Environment
description: Prepare the environment for A13labs CI/CD pipelines

runs:
  using: "composite"
  steps:
    - name: Setup OpenTofu
      uses: opentofu/setup-opentofu@v1
      with:
        terraform_version: 1.9.1

    - name: Install required python packages
      shell: bash
      run: |
        python3 -m pip install -r requirements/opentofu.txt
